org.optaplanner.core.impl.score.stream.drools.tri

## Class DroolsTriToBiGroupByAccumulator<A,B,C,NewA,NewB>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByAccumulator<TriTuple<A,B,C>>
  - - org.optaplanner.core.impl.score.stream.drools.tri.DroolsTriToBiGroupByAccumulator<A,B,C,NewA,NewB>

- All Implemented Interfaces:
    org.drools.core.spi.Accumulator, org.drools.core.spi.Invoker, org.drools.core.spi.RuleComponent

      public class DroolsTriToBiGroupByAccumulator<A,B,C,NewA,NewB>
      extends DroolsAbstractGroupByAccumulator<TriTuple<A,B,C>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.spi.Accumulator

      `org.drools.core.spi.Accumulator.SafeAccumulator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsTriToBiGroupByAccumulator(TriFunction<A,B,C,NewA> groupKeyMapping, TriConstraintCollector<A,B,C,?,NewB> collector, org.drools.model.Variable<A> aVariable, org.drools.model.Variable<B> bVariable, org.drools.model.Variable<C> cVariable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <X> TriTuple<A,B,C>` | `createInput(Function<org.drools.model.Variable<X>,X> valueFinder)`
    `protected DroolsAbstractGroupBy<TriTuple<A,B,C>,?>` | `newContext()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByAccumulator

      `accumulate, createContext, createWorkingMemoryContext, getResult, getValue, init, materialize, reverse, supportsReverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.spi.Accumulator

      `isCompiledInvoker`

- - ### Constructor Detail

    - #### DroolsTriToBiGroupByAccumulator

          public DroolsTriToBiGroupByAccumulator(TriFunction<A,B,C,NewA> groupKeyMapping,
                                                 TriConstraintCollector<A,B,C,?,NewB> collector,
                                                 org.drools.model.Variable<A> aVariable,
                                                 org.drools.model.Variable<B> bVariable,
                                                 org.drools.model.Variable<C> cVariable)

  - ### Method Detail

    - #### newContext

          protected DroolsAbstractGroupBy<TriTuple<A,B,C>,?> newContext()

      Specified by:
        `newContext` in class `DroolsAbstractGroupByAccumulator<TriTuple<A,B,C>>`

    - #### createInput

          protected <X> TriTuple<A,B,C> createInput(Function<org.drools.model.Variable<X>,X> valueFinder)

      Specified by:
        `createInput` in class `DroolsAbstractGroupByAccumulator<TriTuple<A,B,C>>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.